/* bb_exit.c: Free all used resources.
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
*/
#include <portab.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <limits.h>
#include <unistd.h>
#include <assert.h>
#include <errno.h>

#include "config.h"
#include "libquark.h"

#include "brett_db.h"
#include "brett_int.h"

/*
BB_FUNCTION(Funktion,BOOLEAN,bb_exit,[[(void)]],[[
Schliet die Dateien der Brettdatenbank. Sollte auch allen benutzten
Speicher freigeben, tut dies jedoch nicht.
]])
*/
BOOLEAN bb_exit(void)
{
	CLOSE_IT;
	return TRUE;

} /* bb_exit */

