/* pt_list.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include "tomsysdep.h"

#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <ctype.h>

#include "prototyp.h"
#include "brett.h"
#include "proglist.h"
#include "befehle.h"

BOOLEAN bef_pt_list(const char *para)
{
	BOOLEAN ok;
	FILE *exp_f;
	time_t ref;
	char fname[PATH_MAX];
	const char *p;
	p=strpbrk(para,"\t ");
	if (p)
	{
		memcpy(fname,para,p-para);
		fname[p-para]=0;
		para=p;
		while (isspace(*para))
			para++;
		if (!*para || !zerlege_datum_2_time_t(para,&ref))
			ref = 0;
	}
	else
	{
		strcpy(fname,para);
		ref=0;
	}


	if ((exp_f = fopen(fname,"w")) == NULL)
		return FALSE;
	ok = pl_export_all(ref,exp_f);
	fclose(exp_f);

	return ok;
}
