/* vt.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
 * TOM Mailboxsystem
 * Copyright (C) 1993 1994 1995 Frank Baumgart, Uwe Ohse
 *
 * #include <all_rights_reserved>
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include <portab.h>
#include <string.h>

#include "prototyp.h"
#include "modem.h"
#include "terminal.h"
#include "befehle.h"
#include "user.h"

extern USER user;
extern WORD vtmodeW;



BOOLEAN bef_vt(const char *para)
{
	const char *typ = "";
	UWORD alt;
	WORD wahl = 0;

	alt = user.terminal_typ;

	if (!*para)
	{
		mboutput(" Neuer Terminaltyp: vt(1)00, vt(5)2, A(N)SI, (A)SCII ? ");
		wahl = mbdecide("15NA","vt100|vt52|ANSI|ASCII");
	}
	if (wahl == 1 || !stricmp(para,"100"))
		user.terminal_typ = T_VT100 , typ = "vt100";
	else
	if (wahl == 2 || !stricmp(para,"52"))
		user.terminal_typ = T_VT52  , typ = "vt52";
	else
	if (wahl == 3 || !stricmp(para,"ANSI"))
		user.terminal_typ = T_ANSI  , typ = "ANSI";
	else
	if (wahl == 4 || !stricmp(para,"ASCII"))
		user.terminal_typ = T_ASCII , typ = "ASCII";
	else
	if (*para)
	{
		mbfehler("Unbekannter Terminaltyp");
		return FALSE;
	}

	if (!wahl)
		mbprintf(" %sTerminaltyp:%s %s\r\n",vt_S(ATTR_FETT),vt_S(ATTR_OFF),typ);
	else
		mboutput("\r\n");

	if (alt != user.terminal_typ)
	{
		set_scroll_area(0);
		mboutput(vt_S(DEL_SCR));
		vtmodeW=user.terminal_typ;
		sync_terminal();
		redraw_status();
	}

	return TRUE;

} /* bef_vt100 */
