/* brett.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#if !defined(BRETT_H)
#define BRETT_H

/* boxinterne Funktionen */

#include "brett_db.h"
#include "userbase.h"

/* alle Brettflags fr angegebenen User einstellen */
void b_set_flags(USER *u);

/* Flags eines Brettes fr angegebenen User einstellen */
void b_set_flags_brett(USER *u,BRETTNR bnr);
/* default-Brettstruktur erzeugen */
void b_default_brett(BRETT *b);
BOOLEAN b_check_new(void);
const char *b_verwalter_S(BRETTNR nrW);
BOOLEAN b_create_brett(BRETT *b);
BOOLEAN b_remove_brett(BRETTNR bnr);

/*
Zugriffsmechanismen
*/
BOOLEAN b_add_access(BRETTNR nr,USERNR usernr);
BOOLEAN b_del_access(BRETTNR nr,USERNR usernr);
BOOLEAN b_tst_access(BRETTNR nr,USERNR usernr);
BOOLEAN b_export_access(BRETTNR nr);
BOOLEAN b_import_access(BRETTNR nr);

BRETTNR *b_sortierung(void);
void b_free_sortierung(void);

extern BRETTART postfach_art;
#define brettart(x) ((x==0) ? (postfach_art) : (br_ind[x].brett->art))

#endif
