/* dateiauswahl.c: still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include "tomsysdep.h"

#include <portab.h>
#include <stdio.h>
#include <limits.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "tompaths.h"
#include "prototyp.h"
#include "modem.h"


BOOLEAN dateiauswahl(const char *info,const char *extT,char *path,char *datei)
{
	char path_altS[PATH_MAX];
	char nameS[PATH_MAX];

	if (!*extT)  extT = "*.*";
	strcpy(path_altS,path);

	if (!*path)
	{
		getcwd(path,PATH_MAX);
		strcat(path,"/");
	}
	strcat(path,extT);
	mbquestion(78-strlen(info),0,TRUE,info,"",nameS);
	if (!*nameS)
	{
		strcpy(path,path_altS);
		return FALSE;
	}
	else
	{
		char *pos;

		strcpy(path,nameS);
		if ((pos = strrchr(path,'/')) != NULL)
			*(pos+1) = 0;

		if ((pos = strrchr(nameS,'/')) != NULL)
			strcpy(datei,pos+1);
		else
		{
			strcpy(datei,nameS);
			*path = 0;
		}

		return TRUE;
	}
} /* dateiauswahl */

