/* lineedit.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*	######################################################################
	# @(#) lineedit.h	Header-File fuer lineedit.c                      #
	# @(#) Version:		09.05.1994                                       #
	# @(#) Copyright:	Dirk Hagedorn, In der Esmecke 9, 59846 Sundern   #
	######################################################################	*/

/*	----------------------------------------------------------------------
	History:
	03.05.1994: - erstmals angelegt
	            - manche Uebersetzungen sind korrekturbeduerftig
	09.05.1994: - Err_No_Memory[]
	----------------------------------------------------------------------	*/


/*	######################################################################
	#                                                                    #
	#    Konstanten                                                      #
	#                                                                    #
	######################################################################	*/

#ifndef	TEST
#define	TEST		/* .!-Kommando moeglich */
#endif

#define	COLUMNS		80			/* Terminal-Breite                           */
#define	LINES		24			/* Terminal-Hoehe (unbenutzt)                */
#define	LINESIZE	COLUMNS-5+1	/* Zeilengroesse (max. 75 Zeichen+Nullbyte)  */
#define	BUFFSIZE	16384		/* Lesepuffer-Groesse (16k duerften reichen) */
#define	MAXLINES	999			/* soviele Zeilen darf der Text haben        */

#define	EOS			'\0'		/* selbsterklaerend */
#define	BEL			'\a'
#define	LF			'\n'
#define	CR			'\r'
#define	FF			'\f'
#define	BS			'\b'
#define	TAB			'\t'
#define	ESC			'\033'
#define	DEL			'\x7F'		/* ASCII 127        */

	/* Prototypen fr sysdeps.c */
void save_console_attribs(void);
void set_console_attribs(void);
void reset_console_attribs(void);

/*	##### lineedit.h ###################################################	*/
