/* mbvprintf: vprintf ber boxio

    Copyright (C) 1994 1995 1996 1997 1998 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@ohse.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include "tomsysdep.h"

#include <portab.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <ctype.h>
#include <setjmp.h>
#include <errno.h>
#include <limits.h>

#include "modem.h"
#include "prototyp.h"
#include "terminal.h"

int mbvprintf(const char *format, va_list param)
{
	char *tmp=NULL;

	int zeichen;
	zeichen = vasprintf(&tmp,format,param);
	if (tmp==NULL) {
		mboutput("Kann Text nicht ausgeben: out of memory\r\n");
		mboutput("Hint: ");
		mboutput(format);
		return -1;
	}
	if (mboutput(tmp) < 0) {
		free(tmp);
		return -1;
	}
	free(tmp);

	return zeichen;

} /* mbvprintf */

