/* frontend.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
	FrontEnd-spezifische Funktionen
*/


#ifndef BOX

BOOLEAN call_editor(const char *datei);
void show_infofile(void);
BOOLEAN show_infofilediff(const char *name);

BOOLEAN gruppenlisting(void);

void infile_cmd(const char *cmd,const char *par);
void bestelle_gruppe(const char *gruppe,BOOLEAN an);
void mitglied(const char *gruppe,const char *user,BOOLEAN an);

BOOLEAN infile_erstellen(void);
void infile_edit(void); 
BOOLEAN infile_import(const char *messages);
BOOLEAN infile_einfuegen(const char *infile);

/* adressen.c */
BOOLEAN insert_adress(const char *name);


#ifdef TEXT_FRONTEND

void gruppenbestellung(void);


#define INPUT_GRUPPE		1
#define INPUT_USER		2
#define INPUT_INFOFILE	4

typedef struct
{
	char *text;			/* Schlsselwort */
	char *info;			/* ergnzender Text bzw. NULL */
	BOOLEAN fett;		/* Eintrag fett darstellen (z.B. neue Daten) */

} SEL_EINTRAG;

int
uni_eingabe(const char *titel,int typ,SEL_EINTRAG *texte,size_t anzahl,
            int start,BOOLEAN frei,char *eingabe);


#define SEL_PM				1				/* nur PMs */
#define SEL_OM				2				/* nur OMs */
#define SEL_PM_OM			3				/* PMs und OMs */
#define SEL_OM_PM			SEL_PM_OM
#define SEL_ITG			4				/* nur in ITG vorhandene */

char *gruppeneingabe(const char *titel,int typ);


/* adressen.c */
BOOLEAN input_adress(char *name);

#endif /* TEXT_FRONTEND */

#endif /* !BOX */
