/* mdb_intr.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
	interne Datenbank-Funktionen

	enthlt z.T. noch globale Funktionen
*/

#include "struktur.h"		/* wg. export-callback */



/*
	feststellen, ob es sich um ein Infofile handelt und dieses dann
	als separate Datei speichern

	->				imp_f	:	Importstream
					zeile	:	Vergleichsstring aus der Importdatei
					buf	:	Puffer von MSG_SIZE Bytes

	<-				TRUE	:	war ein Infofile
					FALSE	:	kein Infofile
*/
BOOLEAN infofile(FILE *imp_f,const char *zeile,char *buf);


/*
	Gruppenhandling
*/
long group_path(const char *name,char *basepath,BOOLEAN pm);

BOOLEAN grp_update(BOOLEAN pm);

BOOLEAN gruppen_nr2name(GRUPPE nr,BOOLEAN pm,char *name);
BOOLEAN gruppen_nr2pfad(GRUPPE nr,BOOLEAN pm,char *name);

int group_lock(const char *name,BOOLEAN pm,BOOLEAN warten);
BOOLEAN group_unlock(const char *name,BOOLEAN pm);

/* Gruppen/Usernamen in physikalischer Reihenfolge durchlaufen */
BOOLEAN open_grplst(BOOLEAN pm);
BOOLEAN read_grplst(char *name);
void close_grplst(void);



/*
	exportieren
*/
typedef BOOLEAN (*exp_fn)(INDEX *p_ind,FILE *dat_f);


void protect(BOOLEAN on);

#if 0
void encode(UBYTE *puffer,size_t len);
void decode(UBYTE *puffer,size_t len);
#endif

UWORD encode (UBYTE * puffer, size_t offset, UWORD last, size_t len);
UWORD decode (UBYTE * puffer, size_t offset, UWORD last, size_t len);


void protokoll(const char *text);
void protokoll_schliessen(void);
