/* puffer.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
	Routinen zur transparenten Bearbeitung der Indexdatei
	Ablauf entweder komplett auf der Datei oder komplett im RAM.
	(Die Kennung wird natrlich ebenfalls gepuffert)

	Diese Routinen sind fr die Bearbeitung existierender 
	Indexdateien gedacht und eignen sich nicht zum Anhngen 
	von Indexdatenstzen
*/

BOOLEAN i_open(const char *datei);
void i_close(BOOLEAN save);
void i_rewind(void);
long i_tell(void);
void i_seek(long pos);
void i_goto(MESSAGE nr);
size_t i_read(void *puffer,size_t len);
size_t i_write(void *puffer,size_t len);
void i_back(void);
BOOLEAN i_eof(void);
MESSAGE i_anzahl(void);
