/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
*/
#include "config.h"

#include <ctype.h>
#if defined (STDC_HEADERS) || (!defined (isascii) && !defined (HAVE_ISASCII))
#  define IN_CTYPE_DOMAIN(c) 1
#else
#  define IN_CTYPE_DOMAIN(c) isascii(c)
#endif

#define ISSPACE(c) (IN_CTYPE_DOMAIN (c) && isspace (c))

#if defined (STDC_HEADERS) || defined(HAVE_STRING_H)
#  include <string.h>
#endif

#include "libquark.h"

/*
 * fhrende und abschlieende Leerzeichen entfernen.
 * Es wird die Adresse des Strings zurckgeliefert.
 */

char *
strtrim (char *str)
{
	unsigned char *start;
	unsigned char *p;
	unsigned char *s=(unsigned char *)str;

	start = s;
	while (ISSPACE (*s))
		s++;
	if (!*s)
	{
		*start = '\0';
		return (char *) start;
	}
	p = s + strlen ((char *)s) - 1;
	while (ISSPACE (*p))
		*p-- = '\0';
	memmove (start, s, p - s + 1);
	start[p-s+1]=0;
	return (char *) start;
}


