#ifndef ADDRESS_HASH_H
#define ADDRESS_HASH_H

char * address_hash_create(USER *u,time_t expire);
/*
 * return: 0: adresse pat nicht, geht diese Routine nichts an.
 *         1: geparst und gltig.
 *        -1: unvollstndig, kann nicht geparst werden.
 *        -2: Datum unparsbar
 *        -3: unbekannte Usernr.
 *        -4: Flschung
 *        -5: expire abgelaufen
 */
int address_hash_parse(const char *s, USERNR *unr);
ULONG address_hash_gen_key(void);

#endif
