/* logoff.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
 * TOM Mailboxsystem
 * Copyright (C) 1993 1994 1995 Frank Baumgart, Uwe Ohse
 *
 * #include <all_rights_reserved>
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "config.h"

#include <portab.h>
#include <stdio.h>
#include <string.h>

#include "prototyp.h"
#include "modem.h"
#include "befehle.h"				/* wg. bef_inhalt */
#include "user.h"
#include "brett.h"

extern USER user;
extern BRETTNR brettnrW;
extern BRETTART postfach_art;

extern char *global_event_hack;

extern BYTE
batchB;

extern WORD temp_levelW;
extern int logout_modus;



BOOLEAN logoff(WORD artW);



BOOLEAN bef_logoff(const char *dummy TOM_ATTRIB_UNUSED)
{
	return logoff(1);
}



BOOLEAN logoff(WORD artW)
{
	WORD decideW;

	if (artW==2)
		set_status_line("Relogin:");
	else
		set_status_line("Logout:");

	if (akt_anruf.hat_neue_pms && level()!=0 && !batchB)
	{
		mboutput(" >> Logout, obwohl neue PMs nicht gelesen wurden? (1=Ja/2=Nein) ");
		if (mbdecide("12","Ja\r\n\n|Nein ...\r\n") == 2)
		{
			brettnrW = 0;
			postfach_art = TEXT_BRETT;
			return bef_inhalt("");
		}
	}

	if (artW == 2)
		mboutput(" >> Relogin ausfhren? (J/N) ");
	else
		mboutput(" >> Verbindung beenden? (J/N) ");

	if (batchB)
	{
		decideW = 1;
		mboutput("\r\n");
	}
	else
		decideW = mbdecide("JN"," Ja   :-(\r\n|Nein ... \r\n\n");
	if (decideW==1)
	{
		logout_modus = artW;
		redraw_status();
		temp_levelW = -1;
	}

	return TRUE;
}




BOOLEAN bef_leave(const char *para)
{
	WORD decideW;

	set_status_line("Box verlassen:");

	mboutput(" >> Box verlassen? (J/N) ");

	if (batchB)
	{
		decideW = 1;
		mboutput("\r\n");
	}
	else
		decideW = mbdecide("JN"," Ja   :-(\r\n|Nein ... \r\n\n");

	if (decideW==1)
	{
		logout_modus = 1;
		redraw_status();
		temp_levelW = -1;
		global_event_hack=XSTRDUP(para);
	}

	return TRUE;
}
