proc eingabemenuhelp { off lang } {
	set gname [getgroupname]
	set auswahl ""

	append_entry auswahl liste "(G)ruppe wechseln"
	if [string compare "$gname" Postfach] {
		append_entry auswahl liste "Ins (P)ostfach wechseln"
	}
	append_entry auswahl liste "(N)achricht senden"
	append_entry auswahl liste "An den (S)ysop schreiben"
	append_entry auswahl liste "(L)schen von Nachrichten"
	append_entry auswahl liste "(Z)urck"

	if { $lang } {
		if { $off > 0} {
			# Wenn nicht Hilfe, sondern Men 
			tom_puts "($gname)"
		}

		do_help $off $liste
		return "$auswahl"
	}
	kurz_menue_hilfe $auswahl
	return "$auswahl?"
}

proc eingabemenu { } {
	global logout_modus
	set gname [getgroupname]
	while (1) {
		if {$logout_modus} { return }
		set wahl [work_menu "Nachrichten eingeben" eingabemenuhelp]

		if { "$wahl" == "Z" } {
			return
        } elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
		} elseif { "$wahl" == "P" } {
			tom_befehl "PM"
			set gname "Postfach"
		} elseif { "$wahl" == "G" } {
			set gruppe "X"
			while {[string length "$gruppe"] == 1} {
				tom_puts "Welche Gruppe? (L fr Liste)"
				set gruppe [tom_gets]
				if { ![string compare "L" "$gruppe"] \
					|| ![string compare "l" "$gruppe"]} {
					tom_befehl "BRETT *"
				} elseif {[string length "$gruppe"] >0} {
					tom_puts "$gruppe"
					tom_befehl "BRETT $gruppe"
				} else {
					break
				}
			}
			set gname [tom_getvar "%gN"]
		} elseif { "$wahl" == "N" } {
			# Nachricht senden 
			tom_befehl "SENDEN"
			wait_after
		} elseif { "$wahl" == "S" } {
			# An Sysop
			tom_befehl "SENDEN Sysop"
			wait_after
		} elseif { "$wahl" == "L" } {
			# Lschen 
			tom_puts -nonewline "Welche Nachricht(en) lschen? "
	    	set bereich [tom_gets]
    		if { [string length "$bereich"] > 0 } {
    			tom_befehl "KILL $bereich"
    		}
			wait_after
		} else { 
			tom_puts "????" 
		}
	}
}

