proc pt_present_one { which fname upl oneliner delete } {
    global pt_tagged_files
	global logout_modus

	if {$delete} {
		set tat "lschen"
	} else {
		set tat "downloaden"
	}

	tom_puts "Dateiname $fname"
	if {0==[catch {file stat $which/$fname info} errt]} {
		tom_puts [format "  angelegt: %s  verndert: %s" \
			[tom_strftime "%d.%m.%y" $info(ctime)] \
			[tom_strftime "%d.%m.%y" $info(mtime)] ]
		tom_puts [format "  Gre: %d Bytes\n" $info(size)]
	}
	if [string compare $oneliner ""] {
		tom_puts "  $oneliner"
	}
	tom_puts -nonewline "  (N)icht, (J)etzt $tat, (T)aggen"
	if [string compare $upl ""] {
		tom_puts -nonewline ", (U)ploadinfo anzeigen"
	}
	tom_puts ", (A)bbruch"
	set c ""
	while {-1==[string first $c "JTNUA\033"]} {
		if {$logout_modus} { return }
		set c [string toupper [tom_getchar]]
	}
	if {0==[string compare $c "A"] || 0==[string compare $c "\033"]} {
		# abbruch
		return 0
	}
	if {0==[string compare $c "J"]} {
		if {$delete} {
			catch {exec -- rm -f -- $which/$fname}
			return
		}
		set p [tom_user get "default_protokoll"]
		if {0==[string compare $p ""]} {
			tom_puts "Protokollauswahl"
			set p [tom_transfer_protokollauswahl]
		}
		if [string compare $p ""] {
			tom_transfer_send $p $which/$fname
			tom_puts ""
		}
	} elseif {0==[string compare $c "T"]} {
		lappend pt_tagged_files $which/$fname
	}
	return 1
}

#
# delete/download tagged files.
#
proc pt_handle_tagged { delete } {
    global pt_tagged_files
	global logout_modus

    set i 0
    if {$delete} {
	    set tat "lschen"
	} else {
	    set tat "downloaden"
	}
    tom_puts ""
    tom_puts "Getaggte Dateien $tat"
    tom_puts ""

   	set n [llength $pt_tagged_files]
   	if {$n > 1} {
		tom_puts "Es sind $n Dateien getaggt."
		tom_puts "(E)inzeln oder (A)lle $tat, (T)ags lschen, (Z)urck"
		set c ""
		while {-1==[string first $c "EATZ\033"]} {
			if {$logout_modus} { return }
			set c [string toupper [tom_getchar]]
		}
		if {0==[string compare $c "E"]} { 
			set alle 0 
		} elseif {0==[string compare $c "A"]} { 
			set alle 1
		} elseif {0==[string compare $c "T"]} { 
			tom_puts -nonewline "Tags wirklich lschen? (J)a oder (N)ein:"
			set c ""
			while {-1==[string first $c "JN\033"]} {
				if {$logout_modus} { return }
				set c [string toupper [tom_getchar]]
			}
			if {0==[string compare $c "J"]} { 
				set pt_tagged_files ""
				tom_puts "Ja. Tags gelscht"
				return
			}
			tom_puts "Nein"
			return 
		} else {
			return 
		}
   	} else {
   		set alle 0
   	}

	if {$alle} {
		if {$delete} {
			catch {exec -- sh -c "rm -f -- $pt_tagged_files" }
			set pt_tagged_files ""
			return
		}
		set p [tom_user get "default_protokoll"]
		if {0==[string compare $p ""]} {
			tom_puts "Protokollauswahl"
			set p [tom_transfer_protokollauswahl]
		}
		if [string compare $p ""] {
			set e [tom_transfer_send $p $pt_tagged_files]
			tom_puts "erg=$e"
			if {$e==0} {
				set pt_tagged_files ""
				tom_puts "Ok."
			} elseif {$e==1} {
				tom_puts "Abbruch!"
			} else {
				tom_puts "Fehler aufgetreten."
			}
			tom_puts ""
			return
		}
		return
	}

	set new ""
	foreach i $pt_tagged_files {
		tom_puts "$i"
		tom_puts -nonewline "  (J)etzt oder (S)pter $tat"
		tom_puts ", Tag (L)schen, (A)bbruch"
		set c ""
		while {-1==[string first $c "JSLA\033"]} {
			if {$logout_modus} { return }
			set c [string toupper [tom_getchar]]
		}
		if {0==[string compare $c "A"] || 0==[string compare $c "\033"]} {
			# abbruch
			return
		} elseif {0==[string compare $c "L"]} {
			continue
		} elseif {0==[string compare $c "S"]} {
			lappend new $i
			continue
		} elseif {0==[string compare $c "J"]} {
			# jetzt downloaden
			if {$delete} {
				catch {exec -- rm -f -- $i }
			} else {
				set p [tom_user get "default_protokoll"]
				if {0==[string compare $p ""]} {
					tom_puts "Protokollauswahl"
					set p [tom_transfer_protokollauswahl]
				}
				if [string compare $p ""] {
					set e [tom_transfer_send $p $i]
					if {$e==0} {
						tom_puts "Ok."
					} else if {$e==1} {
						tom_puts "Abbruch! Datei bleibt getaggt."
						lappend $new $i
					} else {
						tom_puts "Fehler aufgetreten. Datei bleibt getaggt."
						lappend $new $i
					}
				} else {
					lappend $new $i
				}
			}
		}
    }
#    tom_puts "setting tag to $new"
    set pt_tagged_files $new
}

proc pt_download { mode which files_p filescount uplfiles_p oneliners_p} {
	global pt_tagged_files
	upvar $files_p files
	upvar $uplfiles_p uplfiles
	upvar $oneliners_p oneliners

	if {$mode} {
		if {$mode==1} {
			tom_puts "Bitte geben sie das Suchwort ein."
		} elseif {$mode==2} {
			tom_puts "Bitte geben sie den Wildcardausdruck ein."
		} else {
			tom_puts "Bitte geben sie den regulren Ausdruck ein."
		}
		tom_puts "Vergleiche werden caseinsensitiv durchgefhrt. Suchbegriff:"
		set such [tom_gets]
		if {$such == ""} {
			return 
		}
		set mode2 [expr $mode - 1]
	}

	for {set i 0} { $i < $filescount} { incr i } {
		set this 0
		if {$mode == 0} {
			# alle
			set this 1
		} else {
			set this [pt_match $files($i) $such $mode2]
		}
		if {$this} {
			set e [pt_present_one $which $files($i) $uplfiles($i) $oneliners($i) 0]
			if {$e==0} break
		}
	}
}

proc progteildownloadmenuhelp { off lang} {
	global SCHNELLOGOUT TRENNSTRICHE
	global pt_tagged_files
	set auswahl ""

	append_entry auswahl liste "(N)amen oder Nummern eingeben"
	append_entry auswahl liste "(A)lle"
	lappend liste "----- nicht alle, sondern eingeschrnkt auf -----"
	append_entry auswahl liste "Namens(T)eil"
	append_entry auswahl liste "(W)ildcard"
	append_entry auswahl liste "(R)egulrer Ausdruck"
	if {[info exists pt_tagged_files] && [llength $pt_tagged_files]} {
		if {$TRENNSTRICHE} {
			lappend liste "----- Taggen -----"
		}
		append_entry auswahl liste "(G)etaggte Dateien downloaden"
		append_entry auswahl liste "(T)ags lschen"
	}
	if {$TRENNSTRICHE} {
		lappend liste "-----------------------------"
	}
	append_entry auswahl liste "(Z)urck"
	append_entry auswahl liste "(^) Programmteil verlassen"
	if {$SCHNELLOGOUT} {
		append_entry auswahl liste "(!) Schnell ausloggen"
	}
	if {$lang} {
		do_help $off $liste
		return "${auswahl}"
	}
	kurz_menue_hilfe "$auswahl"
	return "${auswahl}?"
}

proc progteildownloadmenu { which files_p filescount uplfiles_p oneliners_p} {
	global pt_taggen pt_tagged_files
	global quickout
	upvar $files_p files
	upvar $uplfiles_p uplfiles
	upvar $oneliners_p oneliners
	global logout_modus


	while (1) {
		if {$quickout} { return }
		set wahl [work_menu "Dateien downloaden" progteildownloadmenuhelp]
		if {$logout_modus} { return }

		if { "$wahl" == "Z" } {
			return
		} elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
		} elseif { "$wahl" == "^"} {
			set quickout 1
			return
		} elseif { "$wahl" == "N"} {
			# Nach Namen oder Nummern downloaden
			tom_puts "Welche Dateien downloaden? Geben sie eine Liste von durch Leerzeichen"
			tom_puts "getrennten Namen oder Nummern ein"
			set s [tom_gets]
			if {0==[string compare $s ""]} { continue }
			tom_puts ""
			foreach i [split $s] {
				set i [string trim $i]
				if {0==[scan $i "%d" nr]} {
					set nr -1
					for {set j 0} {$j < $filescount} {incr j} {
						if {0==[string compare $files($j) $i]} {
							set nr $j
							break
						}
					}
					if {$nr==-1} {
						tom_puts "$i nicht gefunden"
						tom_puts ""
						continue
					}
				} elseif {$nr <1} {
					tom_puts "Nummer $nr mu grer als Null sein."
					tom_puts ""
					continue
				} elseif {$nr>$filescount} {
					tom_puts "Nummer $nr zu gro. Nur $filescount Dateien."
					tom_puts ""
					continue
				} else {
					# 1..n auf 0..n-1
					set nr [expr $nr - 1]
				}
				set e [pt_present_one $which $files($nr) $uplfiles($nr) \
					$oneliners($nr) 0]
				# Abbruch?
				if {$e == 0} break
			} 
			wait_after
		} elseif { "$wahl" == "A"} {
			# alle
			pt_download 0 $which files $filescount uplfiles oneliners
			wait_after
		} elseif { "$wahl" == "T"} {
			# Namensteil
			pt_download 1 $which files $filescount uplfiles oneliners
			wait_after
		} elseif { "$wahl" == "W"} {
			# Wildcard
			pt_download 2 $which files $filescount uplfiles oneliners
			wait_after
		} elseif { "$wahl" == "R"} {
			# Regulrer Ausdruck
			pt_download 3 $which files $filescount uplfiles oneliners
			wait_after
		} elseif { "$wahl" == "G"} {
			# getaggte Files downloaden
			pt_handle_tagged 0
			wait_after
		} elseif {0==[string compare $wahl "T"]} { 
			tom_puts -nonewline "Tags wirklich lschen? (J)a oder (N)ein:"
			set c ""
			while {-1==[string first $c "JN\033"]} {
				if {$logout_modus} { return }
				set c [string toupper [tom_getchar]]
			}
			if {0==[string compare $c "J"]} { 
				set pt_tagged_files ""
				tom_puts "Ja. Tags gelscht"
				return
			}
			tom_puts "Nein"
			return 
		} elseif { "$wahl" == "G"} {
			# Getaggte Dateien downloaden
		}
	}

}

