# quarkmeter.tcl: Quarkmetermen der Mausoberflche
#
#   Copyright (C) 1995, 1996 Uwe Ohse
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#   Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
#      Snail Mail (don't expect me to answer):
#            Uwe Ohse
#            Drosselstrae 2
#            47055 Duisburg
#            Germany
#   Contact2: MausNet Newsgroups Quark & Q-Sysops.
#
#

proc quarkmetermenuhelp { off lang } {
	global menuestil
	global SCHNELLOGOUT
	global TRENNSTRICHE

	set auswahl ""
	
	append_entry auswahl liste "(B)enutzerstatistik"
	append_entry auswahl liste "(A)nrufstatistik"
	append_entry auswahl liste "Langfristige A(U)slastung"
	append_entry auswahl liste "(R)echnerstatistik"
	append_entry auswahl liste "(H)itliste"
	append_entry auswahl liste "(M)itteilungsstatistik"
	append_entry auswahl liste "Tages-Aus(L)astung"

	if {$TRENNSTRICHE} {
		lappend liste "-----------------------------"
	}
	if {$SCHNELLOGOUT} {
		append_entry auswahl liste "(!) Schnell ausloggen"
	}
	append_entry auswahl liste "(Z)urck zum Hauptmen"
	if {$lang} {
		do_help $off $liste
		return "${auswahl}"
	}
	kurz_menue_hilfe "$auswahl"
	return "${auswahl}?"
}

proc quarkmetermenu { } {
	global logout_modus
	while (1) {
		set wahl [work_menu "Quarkmeter" quarkmetermenuhelp]
		if {$logout_modus} { return }

		if { "$wahl" == "Z" } {
			return
		} elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
		} elseif { "$wahl" == "B" } {
			tom_befehl "BOX USER"
			wait_after
		} elseif { "$wahl" == "A" } {
			tom_befehl "BOX ANRUF"
			wait_after
		} elseif { "$wahl" == "U" } {
			tom_befehl "BOX"
			wait_after
		} elseif { "$wahl" == "R" } {
			tom_befehl "BOX COMP"
			wait_after
	    } elseif { "$wahl" == "H" } {
			tom_befehl "HIT"
			wait_after
	    } elseif { "$wahl" == "M" } {
			tom_befehl "BOX GRUPPEN"
			wait_after
		} elseif { "$wahl" == "L" } {
			tom_befehl "AUSL"
			wait_after
		} else { 
			tom_puts "????" 
		}
	}
}

