/* capitalize_w.c : Capitalize Words */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include <portab.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>

#include "prototyp.h"
#include "brett.h"
#include "tomtcl.h"

/*
	Anfangszeichen jedes Wortbestandteils eines Namens in Grobuchstaben 
	wandeln
*/
void capitalize_words(char *name)
{
	WORD ascW;
	int iW;
	size_t len;

	strtrim(strlwr(name));
	len = strlen(name);
	for (iW = 0; iW < (int) len; iW++)
	{
		ascW = name[iW];

		if ((islower(ascW) || strchr("",ascW))
		&& (iW==0 || strchr(" -",name[iW-1])))
		{
			switch(ascW)
			{
				case '':
					name[iW] = '';
					break;
				case '':
					name[iW] = '';
					break;
				case '':
					name[iW] = '';
					break;
				default:
					name[iW] = toupper(name[iW]);
			}
		}
	}
}
