/* make sure everything a user needs is there */
/*
    Copyright (C) 1999 Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@ohse.de, Uwe Ohse @ DU3 (mausnet)
*/
#include "tomsysdep.h"

#include <portab.h>
#include <string.h>
#include <limits.h>
#include <unistd.h>
#include <sys/stat.h>
#include <stdlib.h>

#include "prototyp.h"
#include "tompaths.h"
#include "box_conf.h"
#include "user.h"
#include "modem.h"
#include "str_ulong.h"

extern USER user;

BOOLEAN
check_user_data(USERNR unr)
{
	USER u;
	char ucan[UDAT_NAME_LEN*2+1];
	size_t l;
	uostr_t s;s.data=0;

	if (user.nummer==unr)
		u=user;
	else if (!ub_read_user (unr, &u, FALSE)) {
		char buf[STR_ULONG];
		str_ulong(buf,u.nummer);
		mboutput("Kann Benutzerdaten von Benutzer ");
		mboutput(buf);
		mboutput(" nicht lesen!\r\n");
		/* hope for the best */
		return FALSE;
	}
	ub_canonical_underscore(user.name,ucan);
	uostr_xdup_cstr(&s,box_conf.user_dir);
	uostr_xadd_cstr(&s,ucan);
	uostr_x0(&s);
	mkdir(s.data,0700);
	uostr_cut(&s,-1);
	uostr_xadd_char(&s,'/');
	l=s.len;
	uostr_xadd_cstr(&s,"Maildir"); uostr_x0(&s); mkdir(s.data,0700);
	uostr_cut(&s,-1); uostr_xadd_cstr(&s,"/cur"); uostr_x0(&s); mkdir(s.data,0700);
	uostr_cut(&s,-4); uostr_xadd_cstr(&s,"tmp"); uostr_x0(&s); mkdir(s.data,0700);
	uostr_cut(&s,-4); uostr_xadd_cstr(&s,"new"); uostr_x0(&s); mkdir(s.data,0700);
	uostr_cut(&s,l);
	uostr_xadd_cstr(&s,"tmp"); uostr_x0(&s); mkdir(s.data,0700); uostr_cut(&s,l);
	uostr_xadd_cstr(&s,"outgoing"); uostr_x0(&s); mkdir(s.data,0700); uostr_cut(&s,l);
	uostr_xadd_cstr(&s,"spool"); uostr_x0(&s); mkdir(s.data,0700); uostr_cut(&s,l);
	uostr_freedata(&s);

	return FALSE;
}
