/* set_status_line.c: Statuszeile ausgeben, in vt100 invers */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include <portab.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "tomsysdep.h"
#include "prototyp.h"
#include "modem.h"
#include "terminal.h"
#include "tompaths.h"

extern int col_ix[];

extern WORD
vtmodeW;

/*

	07.12.92 Frank, erneuert
	14.02.94 Frank, optimiert
*/
void set_status_line(const char *line)
{
	char zeile[80];
	size_t slen;
	size_t pos_a;
	size_t pos_b;
	char *p;

	if (vtmodeW != T_VT100)
	{
		mbprintf(" -> %s\r\n\n",line);
		return;
	}

	slen=strlen(line);
	pos_a = (78-slen)/2;
	pos_b = pos_a;
	if (pos_a*2+slen > 79)
		pos_b--;

	p = zeile;
	while (--pos_a)
		*p++ = '=';
	*p = 0;
	mbprintf("%s%s%s%s %s %s",
		vt_pos_S(2,2),vt_S(ATTR_INVERS),zeile,vt_S(col_ix[C_BLAU]),
		line,vt_S(ATTR_OFF));
	p = zeile;
	while (pos_b--)
		*p++ = '=';
	*p = 0;
	mbprintf("%s%s%s%s%s%s",vt_S(ATTR_OFF),vt_S(ATTR_INVERS),zeile,
		vt_S(ATTR_OFF),vt_S(DEL_SCR_REST),vt_pos_S(4,1));

} /* set_status_line */
