/* syms.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "prototyp.h"
#include "user.h"
#include "brett.h"
#include "dynload.h"
#include "libquark.h"
#include "modem.h"
#include "compileversion.h"
#include "xstrtoul.h"
extern strtol_error xstrtol (const char *,char **,int,unsigned long *,char *s);
extern const char *comp_type[];
extern UWORD comp_type_zahl;


#define USE(sym) x+=(int) (sym);
int
sym_junk_function(void)
{
	int x=0;

#ifdef MODULE_STUBS
	USE(string_make);
	USE(comp_type);
	USE(comp_type_zahl);
	USE(check_brettname_syntax);
	USE(JAnein);
	USE(usereditor);
	USE(bretteditor);
	USE(string_to_brettflags);
	USE(interpret_file_to_file);
	USE(capitalize_words);
	USE(ordner_daten);
	USE(mbfehler);
	USE(delete_user);
	USE(module_load);
	USE(module_sym);
	USE(module_release);
	USE(xstrtoul);
	USE(xstrtol);
#endif
	USE(vstr_compileversion)
	USE(vstr_time)
	USE(vstr_date)

	return x;
}
