/* terminal.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifndef TERMINAL_H
#define TERMINAL_H

/*
	Indizes fr Terminalcode-Tabelle
*/


/* Terminaltyp */
#define T_ASCII			0
#define T_VT100			1
#define T_ANSI				2
#define T_VT52				3

/* Terminalattribute bzw. -funktionen */
#define ATTR_OFF		0
#define ATTR_FETT		1
#define ATTR_INVERS		2
#define ATTR_BLINK		3
#define ATTR_SCROLL		12
#define ATTR_CURSOR		13

#define CUR_UP			14
#define CUR_DOWN		15
#define CUR_RIGHT		16
#define CUR_LEFT		17
#define STORE_CUR		18
#define RESTORE_CUR		19

#define DEL_RIGHT		20
#define DEL_SCR_REST	21
#define DEL_SCR			22		/* Achtung: bearbeit.c von Offline ! */



/* Farben (vt100) */
#define C_SCHWARZ      0
#define C_ROT          1
#define C_GRUEN        2
#define C_GELB         3
#define C_BLAU         4
#define C_PINK         5
#define C_TUERKIS      6
#define C_WEISS        7

/* Offset des ersten Farbwertes (8==Schwarz) */
#define FIRST_COLOR    4
/* Und letzte Farbe */
#define LAST_COLOR    11
/* und nun die Anzahl der Farben */
#define NUMBER_COLORS  8

void sync_terminal(void);

#endif
