/* user.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifndef TOPLEVELUSER_H
#define TOPLEVELUSER_H
/*
	User Verwaltung
*/

#include <time.h>

#include "userbase.h"

#ifndef AKT_DATA_H
#include "aktdata.h"
#endif
#define useronline() (time(NULL)-akt_anruf.startzeit)
#define restzeit() (akt_anruf.soft_limit-time(NULL))
extern WORD temp_levelW;
#define level() (temp_levelW<0 ? user.level:temp_levelW)

void usereditor(const char *para);
BOOLEAN check_username_syntax(const char *uname, BOOLEAN meckern);
BOOLEAN mistpasswort(USER *work, const char *passwort, BOOLEAN warnen);
BOOLEAN passwort_aenderung(USER *work, BOOLEAN *leer);
void delete_user(USERNR unr);

void user_pm_loeschen(const char *username);
void user_access_loeschen(const char *username);
void user_tausch_loeschen(const char *username);
void user_batch_loeschen(const char *username);

#endif
