/*
 * Helferfunktionen
 */
void x_clear_exception(void);
void x_throw(const char *s);
const char * x_got_exception(void);


 

 /* Prototypen fr Schnittstellenfunktionen */
int tom_puts(const char *, const char *opt); 
int tom_putfehler(const char *text); /* eben den Text als Fehlermeldung ausgeben */
char tom_getchar (void); /* ein Zeichen lesen */
char *tom_gets(void); /* eine Zeile lesen */
const char * tom_vt(const char *A); /* nach Attribut suchen */
int tom_charavail(void); /* kann man ein Zeichen von der Tastatur lesen? */

int tom_select(char **argv);



void tom_befehl(const char *cmd);
void tom_befehl_quiet(const char *cmd); 
void tom_befehl_umgelenkt(const char *cmd, const char *datei);
int tom_exec(const char *p1, const char *p2, const char *p3,
    const char *p4, const char *p5, const char *p6);
int tom_exec_piped(const char *);
BOOLEAN tom_edit(const char *para1, const char *para2);
time_t tom_time(void); /* aktuelle Zeit in Sekunden seit 1970 */
char * tom_strftime(const char *format, time_t tim); /* siehe 'man 3 strftime' */
time_t tom_mtzeit_to_time_t(const char *s);  /* MausTauschzeit in time_t wandeln */
const char * tom_time_t_to_mtzeit(time_t t); /* time_t in MausTauschzeit wandeln */
const char * tom_walkuser(int first);
const char *tom_getvar(const char *name); /* Interne Variable auslesen (interpreter?) */
const char * tom_user_set(const char *username, const char *var, const char *val);
	/* Daten des Benutzers 'username' manipulieren */
const char * tom_user_get(const char *username, const char *var);
	/* Daten des Benutzers 'username' lesen */
const char * tom_user_find(const char *name);
	/* nach einem Namen suchen. Liefert seine vollstndige Version zurck */
const char * tom_user(const char *p1,const char *p2, const char *p3, 
	const char *p4, const char *p5);
int tom_r_vrfy(const char *adr, int level, char zahler);
char tom_transfer_protokollauswahl(const char *p1, const char *p2);
char tom_transfer_receive(char c);
int tom_transfer_send (char art, const char *name);
BOOLEAN tom_display_file(const char *p1, const char *p2);;
BOOLEAN tom_acl(const char *p1,const char *p2,const char *p3,
    const char *p4,const char *p5,const char *p6,const char *p7);
int tom_info_level(const char *name);
const char *tom_info_text(const char *name);
const char * tom_info_menu(const char *name);
char tom_info_key(const char *name, const char *submenu);
const char * tom_infomenu_submenus(const char *name);
const char * tom_infomenu_files(const char *name);
const char * tom_infomenu_key(const char *name, const char *submenue);
const char * tom_infomenu_title(const char *name);
int tom_infomenu_level(const char *name);
BOOLEAN tom_einfachnachricht(BOOLEAN mail,int level,  BOOLEAN bezahlt, 
	const char *fname, char **headers);


