#include "tomsysdep.h"

#include <stdlib.h>
#include "portab.h"
#include "libquark.h"

#if !defined(__GNUC__) || !defined(__OPTIMIZE__)
char *
libquark_xstrdup(const char *s, const char *fname, ULONG line)
{
	char *p;
	size_t size=strlen(s)+1;
	p=malloc(size);
	if (!p)
		error_at_line(1,0,fname,line,"out of memory");
	memcpy(p,s,size);
	return p;
}
#endif

